ONVIF::Device::Elements::GetDNSResponse(3)

NAME
ONVIF::Device::Elements::GetDNSResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDNSResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DNSInformation

     $element->set_DNSInformation($data);
     $element->get_DNSInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDNSResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   DNSInformation =>  { # ONVIF::Device::Types::DNSInformation
     FromDHCP =>  $some_value, # boolean
     SearchDomain =>  $some_value, # token
     DNSFromDHCP =>  { # ONVIF::Device::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     DNSManual =>  { # ONVIF::Device::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     Extension =>  { # ONVIF::Device::Types::DNSInformationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL